
{% import "apostrophe-templates:macros/image.html" as image %}
{% set logos = data.widget._pieces %}

{% if data.page.type === 'about' %}

     {% for logo in data.widget._pieces %}
        {% if loop.index0 < 12 %}
            <div class="quarter">
             {{ image.render(apos.images.first(logo), { class: 'logo-animated fit'})}}
            </div>
        {% else %}
            <div class="hidden-logos">
                <div class="quarter">
                     {{ image.render(apos.images.first(logo), { class: 'logo-animated fit'})}}
                </div>
            </div>
        {% endif %}
    {% endfor %}

{% else %}

    <div class="half ">
        {% if logos[0]  %} {{ image.render(apos.images.first(logos[0]), { class: 'logo-animated fit'})}} {% endif %}
    </div>

    <div class="fit-four">

        <div class="half">
            {% if logos[1]  %} {{ image.render(apos.images.first(logos[1]), { class: 'logo-animated fit'})}} {% endif %}
        </div>
        <div class="half">
            {% if logos[2]  %} {{ image.render(apos.images.first(logos[2]), { class: 'logo-animated fit'})}} {% endif %}
        </div>
        <div class="half">
            {% if logos[3]  %} {{ image.render(apos.images.first(logos[3]), { class: 'logo-animated fit'})}} {% endif %}
        </div>
        <div class="half">
            {% if logos[4]  %} {{ image.render(apos.images.first(logos[4]), { class: 'logo-animated fit'})}} {% endif %}
        </div>

    </div>

    <div class="hidden-logos">
        {% for logo, index in data.widget._pieces %}
            {% if index >= 5 %}
                {{ image.render(apos.images.first(logo), { class: 'logo-animated fit'})}}
            {% endif %}
        {% endfor %}
    </div>

{% endif %}